<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@8002D=99</action>
    </script>
  </cheat>

  <cheat desc="1 Enemy to Finish Current Scene Now!"> <comment>Also one hit for boss</comment>
    <script state="on">
      <action>maincpu.pw@85C21=0102</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Stage"> <comment>Pause the game during enabling or reset after enabling</comment>
    <parameter>
      <item value="0xFF">Stage 1-1</item>
      <item value="0x00">Stage 1-2</item>
      <item value="0x01">Stage 1-3</item>
      <item value="0x02">Stage 1-4</item>
      <item value="0x03">Stage 2-1</item>
      <item value="0x04">Stage 2-2</item>
      <item value="0x05">Stage 2-3</item>
      <item value="0x06">Stage 2-4</item>
      <item value="0x07">Stage 3-1</item>
      <item value="0x08">Stage 3-2</item>
      <item value="0x09">Stage 3-3</item>
      <item value="0x0A">Stage 3-4</item>
      <item value="0x0B">Stage 4-1</item>
      <item value="0x0C">Stage 4-2</item>
      <item value="0x0D">Stage 4-3</item>
      <item value="0x0E">Stage 4-4</item>
      <item value="0x0F">Final Stage</item>
    </parameter>
    <script state="run">
      <action condition="(maincpu.pb@85C24==FF)">maincpu.pb@85C24=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@8086C=08</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL1">
    <script state="run">
      <action>maincpu.pb@8086D=63</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@80821=03|(maincpu.pb@80821 BAND ~03)</action>
      <action>maincpu.pb@80825=02</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL1">
    <parameter>
      <item value="0x00">Normal Gun</item>
      <item value="0x01">Semi-Auto Gun</item>
      <item value="0x02">Full-Auto Gun</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@80874=param</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL1"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@80017=00|(maincpu.pb@80017 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@80F2C=08</action>
    </script>
  </cheat>

  <cheat desc="Infinite Bombs PL2">
    <script state="run">
      <action>maincpu.pb@80F2D=63</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@80EE1=03|(maincpu.pb@80EE1 BAND ~03)</action>
      <action>maincpu.pb@80EE5=02</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon PL2">
    <parameter>
      <item value="0x00">Normal Gun</item>
      <item value="0x01">Semi-Auto Gun</item>
      <item value="0x02">Full-Auto Gun</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@80F34=param</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire PL2"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pb@80016=00|(maincpu.pb@80016 BAND ~10)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
